curl --request PATCH \
--url https://api.mn.co/admin/v1/networks/{network_id}/custom_fields/{custom_field_id}/options/{id}/ \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"title": "Blue",
"description": "Select this if blue is your favorite color"
}
'import requests
url = "https://api.mn.co/admin/v1/networks/{network_id}/custom_fields/{custom_field_id}/options/{id}/"
payload = {
"title": "Blue",
"description": "Select this if blue is your favorite color"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({title: 'Blue', description: 'Select this if blue is your favorite color'})
};
fetch('https://api.mn.co/admin/v1/networks/{network_id}/custom_fields/{custom_field_id}/options/{id}/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "1234",
"created_at": "2026-09-04T21:33:14+00:00",
"updated_at": "2026-09-04T21:33:14+00:00",
"title": "Blue",
"custom_field_id": 123,
"member_count": 123,
"is_ad_hoc": true,
"creator_id": 123,
"description": "Select this if blue is your favorite color"
}{
"error": "<string>"
}{
"error": "<string>"
}Update an option
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
ID of the custom field
ID of the option
The Network's unique integer ID, or subdomain Unique numeric network ID
Body
Submit results as JSON
Response
The updated custom field option object
Custom field options are the selectable values for dropdown custom fields
The record's integer ID
"1234"
The date and time the record was created
"2026-09-04T21:33:14+00:00"
The date and time the record was last modified
"2026-09-04T21:33:14+00:00"
The title of the option
"Blue"
The ID of the custom field this option belongs to
The number of members who have selected this option
Whether this option was created by a member (ad-hoc) or by a host
The ID of the member who created this option
The description of the option
"Select this if blue is your favorite color"